<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Node (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Node (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValueFunction.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.expression.runtime</div>
<h2 title="Class Node" class="title">Class Node</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.expression.runtime.Node</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Break.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Break</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Conditional.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Conditional</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Constant.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Constant</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/For.html" title="class in com.sk89q.worldedit.internal.expression.runtime">For</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Return</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Sequence</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/SimpleFor.html" title="class in com.sk89q.worldedit.internal.expression.runtime">SimpleFor</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Switch</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Variable</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime">While</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Node</span>
extends java.lang.Object
implements <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></pre>
<div class="block">A node in the execution tree of an expression.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#Node-int-">Node</a></span>(int&nbsp;position)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
             boolean&nbsp;preferLValue)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#getPosition--">getPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#optimize--">optimize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.expression.runtime.RValue">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.internal.expression.runtime.<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#getValue--">getValue</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.expression.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.internal.expression.<a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#id--">id</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Node-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Node</h4>
<pre>public&nbsp;Node(int&nbsp;position)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="optimize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optimize</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;optimize()
                throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#optimize--">optimize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre>public final&nbsp;int&nbsp;getPosition()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#getPosition--">getPosition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></code></dd>
</dl>
</li>
</ul>
<a name="bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bindVariables</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;bindVariables(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
                            boolean&nbsp;preferLValue)
                     throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValueFunction.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
